export default defineNuxtPlugin({
  name: 'router',
  enforce: 'pre',
  setup(nuxtApp) {
    nuxtApp.hook('app:error', (error) => {
      if (error.statusCode === 404 && process.client) {
        const basePath = process.env.NODE_ENV === 'production' ? process.env.BASE_PATH : '/'
        error.path = window.location.pathname.replace(basePath as string, '')
      }
    })

    nuxtApp.vueApp.config.errorHandler = (error, instance, info) => {
      console.error('Vue Error:', error)
      console.error('Component:', instance)
      console.error('Info:', info)
    }

    nuxtApp.hook('vue:error', (error, instance, info) => {
      console.error('Vue Error:', error)
      console.error('Component:', instance)
      console.error('Info:', info)
    })
  }
}) 